﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RDESD_constraint.sql **/
 EXEC P_ALTERPK 'PK_RDESD_RULE_SHARING', 'T_RDESD_RULE_SHARING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX__SHARING_FORGID') CREATE INDEX IDX__SHARING_FORGID ON T_RDESD_RULE_SHARING ( FORGID ,FPLANNAME );


 EXEC P_ALTERPK 'PK_RDESD_SBXMXX', 'T_RDESD_SBXMXX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RDESD_SBXMXX_2') CREATE UNIQUE INDEX IDX_RDESD_SBXMXX_2 ON T_RDESD_SBXMXX ( FNUMBER );


 EXEC P_ALTERPK 'PK_RDESD_SBXMXX_ENTRY', 'T_RDESD_SBXMXX_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RDESD_SBXMXX_EN_3') CREATE INDEX IDX_RDESD_SBXMXX_EN_3 ON T_RDESD_SBXMXX_ENTRY ( FYFXMXXID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RDESD_SBXMXX_ENTRY_FK') CREATE INDEX IDX_RDESD_SBXMXX_ENTRY_FK ON T_RDESD_SBXMXX_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_RDESD_SBXMXX_L', 'T_RDESD_SBXMXX_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RDESD_SBXMXX_L_0') CREATE INDEX IDX_RDESD_SBXMXX_L_0 ON T_RDESD_SBXMXX_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_RDESD_YFXMXX', 'T_RDESD_YFXMXX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RDESD_YFXMXX_2') CREATE UNIQUE INDEX IDX_RDESD_YFXMXX_2 ON T_RDESD_YFXMXX ( FBASEPROJECT ,FORGID );


 EXEC P_ALTERPK 'PK_RDESD_YFXMXX_L', 'T_RDESD_YFXMXX_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RDESD_YFXMXX_L_0') CREATE INDEX IDX_RDESD_YFXMXX_L_0 ON T_RDESD_YFXMXX_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_RDESD_COST_TYPE_L', 'T_RDESD_COST_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RDESD_COST_TYPE_L_0') CREATE INDEX IDX_RDESD_COST_TYPE_L_0 ON T_RDESD_COST_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_RDESD_COST_TYPE', 'T_RDESD_COST_TYPE', 'FID', '1';




/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RDESD_constraint.sql **/
